import { defineConfig } from "vite";
import uni from "@dcloudio/vite-plugin-uni";

// https://vitejs.dev/config/
export default defineConfig({
	plugins: [uni()],
	server: {
		proxy: {
			'/dev-api': {
				// target: 'http://192.168.11.48:8010',// 后端地址本地
				target: 'http://182.43.195.17:8010',// 后端地址测试
				changeOrigin: true,
				rewrite: path => path.replace(/^\/dev-api/, ''),
			}
		}
	},
	css: {
		preprocessorOptions: {
			scss: {
				silenceDeprecations: ['legacy-js-api'],
			},
		},
	},
});